<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.infinispan.cache-container.distributed-cache.component.transaction" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="locking,mode,stop-timeout,complete-timeout"/>
        <elem name="addr-params" value="profile,subsystem,cache-container,distributed-cache,component"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.infinispan"/>
    </annotation>
    <requires>
        <capability name="$profile.org.wildfly.transactions.global-default-local-provider"/>
    </requires>
    <refs>
        <ref feature="subsystem.infinispan.cache-container.distributed-cache"/>
        <ref feature="subsystem.infinispan.cache-container"/>
        <ref feature="subsystem.infinispan"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="mode" nillable="true" stability="default"/>
        <param name="component" feature-id="true" default="transaction"/>
        <param name="locking" nillable="true" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="cache-container" feature-id="true"/>
        <param name="complete-timeout" nillable="true" stability="default"/>
        <param name="subsystem" feature-id="true" default="infinispan"/>
        <param name="distributed-cache" feature-id="true"/>
        <param name="stop-timeout" nillable="true" stability="default"/>
    </params>
</feature-spec>